
Name:		isl_0.17
Version:	201702072235
Release:	hpe_hpcstack%{?dist}
Summary:	The Integer Set Library-isl library for manipulating sets and relations of integer points bounded by linear constraints

License:	MIT
URL:		http://isl.gforge.inria.fr/
Source:	isl-0.17.tar.bz2
BuildRequires: gmp_6.1.1 >= 201702072220
Requires: gmp_6.1.1 >= 201702072220
Requires: environment-modules

AutoReqProv:	no

%define debug_package %{nil}
%define prefix        /opt/hpe/hpc/isl/0.17


%description

The Integer Set Library-isl library for manipulating sets and relations of integer points bounded by linear constraints

%prep
%setup -q -n isl-0.17

%build
rm -rf BuildHERE
mkdir BuildHERE
cd BuildHERE
../configure --prefix=/opt/hpe/hpc/isl/0.17 	--with-gmp-prefix=/opt/hpe/hpc/gmp/6.1.1 	--enable-shared=no 	--enable-static=yes
make -j 4
make DESTDIR=/tmp/root/isl-0.17-LheXjvd1M install
cd -

%check

%install

rm -rf %{buildroot}
mv -f /tmp/root/isl-0.17-LheXjvd1M %{buildroot}


mkdir -p %{buildroot}/opt/hpe/hpc/modules/isl
cat >%{buildroot}/opt/hpe/hpc/modules/isl/0.17 <<EOF
#%Module1.0

# file for isl-0.17

proc ModulesHelp { } {
		puts stderr "Set up the paths for isl-0.17"
}

prepend-path PATH /opt/hpe/hpc/isl/0.17/bin
prepend-path LD_LIBRARY_PATH /opt/hpe/hpc/isl/0.17/lib
prepend-path MANPATH /opt/hpe/hpc/isl/0.17/share/man
prepend-path PKG_CONFIG_PATH /opt/hpe/hpc/isl/0.17/lib/pkgconfig
EOF


mkdir -p  %{buildroot}/opt/hpe/hpc/test/installation_validation/isl/0.17/
cp /tmp/root/isl-0.17-qGCsyQDxA/TESTS/isl.ivp %{buildroot}/opt/hpe/hpc/test/installation_validation/isl/0.17/ || true
chmod +x %{buildroot}/opt/hpe/hpc/test/installation_validation/isl/0.17/* || true

%clean
rm -rf %{buildroot}





%files
%defattr(-,root,root,-)
%{prefix}/*
/opt/hpe/hpc/modules
/opt/hpe/hpc/test

%changelog
